package com.ym.mec.auth.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.auth.api.enums.UserLockFlag;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.entity.ImUserModel;

public interface SysUserDao extends BaseDAO<Integer, SysUser> {

	/**
	 * 根据用户名查询对象
	 * @param username
	 * @return
	 */
	SysUser queryByUsername(String username);

	/**
	 * 根据手机号查询对象
	 * @param phone
	 * @return
	 */
	SysUser queryByPhone(String phone);

	/**
	 * 修改密码
	 * @param mobile
	 * @param password
	 */
	void updatePassword(@Param("mobile") String mobile, @Param("password") String password);

	/**
	 * 获取用户基本信息
	 * @param userId
	 * @return
	 */
	ImUserModel getBasic(Integer userId);

	/**
	 * 根据状态查询
	 * @param status
	 * @return
	 */
	List<SysUser> queryByStatus(UserLockFlag status);

	/**
	 * 获取机构名称
	 * @param organId
	 * @return
	 */
    String getOrganName(Integer organId);
}