package com.ym.mec.biz.dal.dao;


import com.ym.mec.biz.dal.entity.ClassGroupTeacherSalary;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClassGroupTeacherSalaryDao extends BaseDAO<Long, ClassGroupTeacherSalary> {

    /**
     * 获取乐团老师课酬配置
     * @param musicGroupId
     * @return
     */
    List<ClassGroupTeacherSalary> findByMusicGroupId(@Param("musicGroupId") String musicGroupId);

    /**
     * @describe 获取班级与老师课酬
     * @author Joburgess
     * @date 2019/11/11
     * @param vipGroupId: vip课编号
     * @param teacherId: 老师编号
     * @return com.ym.mec.biz.dal.entity.ClassGroupTeacherSalary
     */
    ClassGroupTeacherSalary findByVipGoupAndTeacher(@Param("vipGroupId") Integer vipGroupId,
                                                    @Param("teacherId") Integer teacherId);
}
