package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.CourseScheduleComplaints;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CourseScheduleComplaintsDao extends BaseDAO<Long, CourseScheduleComplaints> {

    /**
     * @Author: Joburgess
     * @Date: 2019/10/8
     * @params [userId, courseScheduleId]
     * @return com.ym.mec.biz.dal.entity.CourseScheduleComplaints
     * @describe 根据用户和课程获取申诉详情
     */
    CourseScheduleComplaints findByUserAndCourse(@Param("userId") Long userId,@Param("courseScheduleId") Long courseScheduleId);

    /**
     * @Author: Joburgess
     * @Date: 2019/10/15
     * @params [ids]
     * @return java.util.List<com.ym.mec.biz.dal.entity.CourseScheduleComplaints>
     * @describe 根据课程编号批量获取投诉记录
     */
    List<CourseScheduleComplaints> findByCourseScheduleIds(@Param("ids") List<Long> ids);
	
}