package com.ym.mec.biz.dal.dao;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.dto.*;

import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.page.QueryInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public interface StudentManageDao {

    /**
     * @Author: Joburgess
     * @Date: 2019/9/19
     *根据部门ID获取该部门下所有学生
     */
    List<StudentManageListDto> findStudentsByOrganId(Map<String,Object> params);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/19
     * 根据部门ID统计该部门下所有学生数
     */
    int countStudentByOrganId(Map<String,Object> params);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 根据学生ID获取该学院基本信息
     */
    StudentManageListDto findStudentBaseInfoByUserID(Integer userId);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 根据商品id列表获取商品名称列表
     */
    String[] findGoodsNamesByIds(@Param("ids") String[] ids);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 根据学生ID获取其所在的乐团
     */
    List<StudentManageBaseInfoOfMusicGroupDto> findStudentMusicGroupsByUserId(Integer userId);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 获取某乐团的排课列表
     */
    List<StudentManageCourseListDto> findStudentCourseList(Map<String,Object> params);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 统计乐团排课数
     */
    int countStudentCourses(Map<String,Object> params);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 学生签到列表获取
     */
    List<StudentManageCourseListDto> findStudentAttendances(Map<String,Object> params);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 统计学生签到次数
     */
    int countStudentAttendances(Map<String,Object> params);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/21
     * 获取学上账户基本信息
     */
    StudentManageAccountBaseInfoDto getStudentAccountBaseInfo(Integer userId);

    /**
     * 获取学员扣费记录列表
     * @param params
     * @return
     */
    List<StudentPaymentDto> queryStudentPayment(Map<String, Object> params);

    /**
     *  COUNT学员扣费记录列表
     * @param params
     * @return
     */
    int countStudentPayment(Map<String, Object> params);

    /**
     * 获取乐团管理学员列表
     * @param params
     * @return
     */
    List<MusicGroupStudentsDto> queryMusicGroupStudent(Map<String, Object> params);

    /**
     * COUNT乐团管理学员列表
     * @param params
     * @return
     */
    int countMusicGroupStudent(Map<String, Object> params);

    /**
     * 获取乐团在读人数
     * @param musicGroupId
     * @return
     */
    Integer countStudyNum(String musicGroupId);

    /**
     * 获取乐团退团人数
     * @param musicGroupId
     * @return
     */
    Integer countQuitNum(@Param("musicGroupId") String musicGroupId);

    /**
     * 获取乐团新增的学员人数
     * @param musicGroupId
     * @return
     */
    Integer countAddNum(String musicGroupId);

    /**
     * 乐团管理--点名总览
     * @param params
     * @return
     */
    List<MusicGroupStudentSignDto> queryMusicGroupStudentsSign(Map<String, Object> params);

    /**
     * COUNT乐团管理--点名总览
     * @param params
     * @return
     */
    int countMusicGroupStudentsSign(Map<String, Object> params);

    /**
     * 修改用户信息
     * @param sysUser
     */
    void updateUser(SysUser sysUser);
}
