package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.StudentPaymentOrderDetail;
import com.ym.mec.biz.dal.enums.DealStatusEnum;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StudentPaymentOrderDetailDao extends BaseDAO<Long, StudentPaymentOrderDetail> {


    /**
     * 批量添加订单详情
     *
     * @param studentPaymentOrderDetailList
     * @return
     */
    int batchAdd(@Param("studentPaymentOrderDetailList") List<StudentPaymentOrderDetail> studentPaymentOrderDetailList);

    /**
     * 查询注册支付的订单详情
     *
     * @param musicGroupId
     * @param status
     * @return
     */
    List<StudentPaymentOrderDetail> findApplyOrderSuccess(@Param("musicGroupId") String musicGroupId, @Param("status") DealStatusEnum status);

    /**
     * 查询订单商品
     * @param orderId
     * @return
     */
    List<StudentPaymentOrderDetail> findApplyOrderGoods(@Param("orderId") Long orderId);
}