package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.MusicGroupStudentFee;
import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;
import io.swagger.annotations.ApiModelProperty;

public class CourseListDto {

    @ApiModelProperty(value = "班级类型", required = true)
    private ClassGroupTypeEnum type;

    @ApiModelProperty(value = "乐团、vip课编号",required = true)
    private String musicGroupId;

    @ApiModelProperty(value = "班级编号",required = true)
    private Integer classGroupId;

    @ApiModelProperty(value = "教学点编号",required = true)
    private Integer teacherSchoolId;

    @ApiModelProperty(value = "学生姓名",required = true)
    private String studentNames;

    @ApiModelProperty(value = "乐团、vip课名称",required = true)
    private String musicGroupName;

    @ApiModelProperty(value = "授课地址",required = true)
    private String address;

    @ApiModelProperty(value = "总课次",required = true)
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课次",required = true)
    private Integer currentClassTimes;

    @ApiModelProperty(value = "教师姓名",required = true)
    private String teacherName;

    @ApiModelProperty(value = "上课模式",required = true)
    private String teachMode;

    @ApiModelProperty(value = "课程形式")
    private int classMode;

    @ApiModelProperty(value = "线上课数")
    private Integer onlineClassesNum;

    @ApiModelProperty(value = "线下课数")
    private Integer offLineClassesNum;

    @ApiModelProperty(value = "单节课时",required = true)
    private Integer singleClassMinutes;

//    @ApiModelProperty(value = "0待续费，1已续费",required = true)
    private Integer renewStatus = 0;

    //续费状态
    private MusicGroupStudentFee.PaymentStatus paymentStatus;

    private Integer isApply;

    public Integer getIsApply() {
        return isApply;
    }

    public void setIsApply(Integer isApply) {
        this.isApply = isApply;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Integer getTeacherSchoolId() {
        return teacherSchoolId;
    }

    public void setTeacherSchoolId(Integer teacherSchoolId) {
        this.teacherSchoolId = teacherSchoolId;
    }

    public Integer getOnlineClassesNum() {
        return onlineClassesNum;
    }

    public void setOnlineClassesNum(Integer onlineClassesNum) {
        this.onlineClassesNum = onlineClassesNum;
    }

    public Integer getOffLineClassesNum() {
        return offLineClassesNum;
    }

    public void setOffLineClassesNum(Integer offLineClassesNum) {
        this.offLineClassesNum = offLineClassesNum;
    }

    public int getClassMode() {
        return classMode;
    }

    public void setClassMode(int classMode) {
        this.classMode = classMode;
    }

    public MusicGroupStudentFee.PaymentStatus getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(MusicGroupStudentFee.PaymentStatus paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public ClassGroupTypeEnum getType() {
        return type;
    }

    public void setType(ClassGroupTypeEnum type) {
        this.type = type;
    }

    public Integer getRenewStatus() {
        return renewStatus;
    }

    public void setRenewStatus(Integer renewStatus) {
        this.renewStatus = renewStatus;
    }

    public Integer getSingleClassMinutes() {
        return singleClassMinutes;
    }

    public void setSingleClassMinutes(Integer singleClassMinutes) {
        this.singleClassMinutes = singleClassMinutes;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getStudentNames() {
        return studentNames;
    }

    public void setStudentNames(String studentNames) {
        this.studentNames = studentNames;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(String teachMode) {
        this.teachMode = teachMode;
    }
}
