package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;

/**
 * 对应数据库表(teacher_default_music_group_salary):
 */
public class TeacherDefaultMusicGroupSalary {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "教师编号",required = false)
	private Integer userId;
	
	/** 班级类型（参照 course_schedule表的type_字段） */
	@ApiModelProperty(value = "课程类型",required = false)
	private CourseSchedule.CourseScheduleType courseScheduleType;

	/**  */
	@ApiModelProperty(value = "主教90分钟课酬",required = false)
	private BigDecimal mainTeacher90MinSalary;

	/**  */
	@ApiModelProperty(value = "助教90分钟课酬",required = false)
	private BigDecimal assistantTeacher90MinSalary;
	
	/** 主教薪酬 */
	@ApiModelProperty(value = "主教30分钟课酬",required = false)
	private BigDecimal mainTeacher30MinSalary;
	
	/** 助教薪酬 */
	@ApiModelProperty(value = "助教30分钟课酬",required = false)
	private BigDecimal assistantTeacher30MinSalary;

	@ApiModelProperty(value = "是否删除该条数据",required = false)
	private YesOrNoEnum delFlag;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public YesOrNoEnum getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(YesOrNoEnum delFlag) {
		this.delFlag = delFlag;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}

	public CourseScheduleType getCourseScheduleType() {
		return courseScheduleType;
	}

	public void setCourseScheduleType(CourseScheduleType courseScheduleType) {
		this.courseScheduleType = courseScheduleType;
	}

	public BigDecimal getMainTeacher30MinSalary() {
		return assistantTeacher30MinSalary;
	}

	public void setMainTeacher30MinSalary(BigDecimal assistantTeacher30MinSalary) {
		this.assistantTeacher30MinSalary = assistantTeacher30MinSalary;
	}

	public BigDecimal getAssistantTeacher30MinSalary() {
		return assistantTeacher30MinSalary;
	}

	public void setAssistantTeacher30MinSalary(BigDecimal assistantTeacher30MinSalary) {
		this.assistantTeacher30MinSalary = assistantTeacher30MinSalary;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
	
	public BigDecimal getMainTeacher90MinSalary() {
		return mainTeacher90MinSalary;
	}

	public void setMainTeacher90MinSalary(BigDecimal mainTeacher90MinSalary) {
		this.mainTeacher90MinSalary = mainTeacher90MinSalary;
	}

	public BigDecimal getAssistantTeacher90MinSalary() {
		return assistantTeacher90MinSalary;
	}

	public void setAssistantTeacher90MinSalary(BigDecimal assistantTeacher90MinSalary) {
		this.assistantTeacher90MinSalary = assistantTeacher90MinSalary;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
