package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.CourseHomeworkStudentDetailDto;
import com.ym.mec.biz.dal.entity.StudentCourseHomework;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface StudentCourseHomeworkService extends BaseService<Long, StudentCourseHomework> {

    /**
     * @Author: Joburgess
     * @Date: 2019/9/18
     * 获取学生作业界面详细信息
     */
    CourseHomeworkStudentDetailDto findCourseHomeworkStudentDetail(Long courseScheduleID,Long userId);

    /**
     * @describe 根据课程获取可交作业的学生
     * @author Joburgess
     * @date 2019/10/20
     * @param courseSchedule: 课程计划编号
     * @param userName: 用户名
     * @return java.util.List<com.ym.mec.biz.dal.entity.StudentCourseHomework>
     */
    List<StudentCourseHomework> findStudentCourseHomeworkByCourse(Long courseSchedule,String userName);

    /**
     * @describe 跟新学生作业回复状态
     * @author Joburgess
     * @date 2019/10/20
     * @param teacherId: 教师编号
     * @param courseScheduelId: 课程计划编号
     * @param studentId: 学生编号
     * @return boolean
     */
    boolean updateReplyStatus(Integer teacherId,Long courseHomeworkId,Integer studentId);

    /**
     * @author Gaoyong
     * 课程作业提醒
     * @return
     */
    void homeworkRemind();
}