package com.ym.mec.biz.service;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.dto.*;
import com.ym.mec.biz.dal.entity.ClassGroup;
import com.ym.mec.biz.dal.page.*;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.page.QueryInfo;
import org.snaker.engine.access.Page;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public interface StudentManageService {

    /**
     * @Author: Joburgess
     * @Date: 2019/9/19
     * 根据员工分页获取该员工所属部门下所有学生
     */
    PageInfo findStudentsByOrganId(StudentManageQueryInfo queryInfo);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 根据学生ID获取学生基本报名信息
     */
    StudentManageListDto findStudentManageBaseInfo(Integer userId);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 根据学生ID获取其所在的乐团
     */
    List<StudentManageBaseInfoOfMusicGroupDto> findStudentMusicGroupsByUserId(Integer userId);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 获取学生排课信息
     */
    PageInfo findStudentCourseList(StudentManageCourseQueryInfo queryInfo);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 获取学生考勤记录
     */
    PageInfo findStudentAttendances(StudentManageAttendanceQueryInfo queryInfo);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/20
     * 获取学生vip课
     */
    List<StudentManageVipGroupDto> findStudentVipGroups(Integer userID);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/21
     * 获取学上账户基本信息
     */
    StudentManageAccountBaseInfoDto getStudentAccountBaseInfo(Integer userID);

    /**
     * 获取学员扣费记录列表
     * @param queryInfo
     * @return
     */
    PageInfo queryStudentPayment(TeacherPaymentRecordInfo queryInfo);

    /**
     * 获取乐团管理、学员列表
     * @param queryInfo
     * @return
     */
    PageInfo<MusicGroupStudentsDto> queryMusicGroupStudent(MusicGroupStudentQueryInfo queryInfo);

    /**
     * 乐团管理学员列表数据汇总
     * @param musicGroupId
     * @return
     */
    Object musicGroupStudentsSum(String musicGroupId);

    /**
     * 乐团管理--点名总览
     * @param queryInfo
     * @return
     */
    PageInfo<MusicGroupStudentSignDto> queryMusicGroupStudentsSign(QueryInfo queryInfo);

    /**
     * 获取学员的班级信息列表
     * @param musicGroupId
     * @param teacherId
     * @return
     */
    List<ConditionDto> queryStudentClassGroup(String musicGroupId, Integer teacherId);

    /**
     * 修改用户信息
     * @param sysUser
     */
    void updateUser(SysUser sysUser);
}
