package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.Goods;
import com.ym.mec.biz.dal.entity.StudentPaymentOrderDetail;
import com.ym.mec.biz.dal.enums.DealStatusEnum;
import com.ym.mec.common.service.BaseService;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StudentPaymentOrderDetailService extends BaseService<Long, StudentPaymentOrderDetail> {


    /**
     * 批量添加订单
     *
     * @param studentPaymentOrderDetailList
     * @return
     */
    int batchAdd(List<StudentPaymentOrderDetail> studentPaymentOrderDetailList);

    /**
     * 查询注册支付的订单详情
     * @param musicGroupId
     * @param status
     * @return
     */
    List<StudentPaymentOrderDetail> findApplyOrderSuccess(String musicGroupId, DealStatusEnum status);

    /**
     * 获取乐器的采购清单
     * @param musicGroupId
     * @return
     */
    List<Goods> getMusicalList(String musicGroupId);

    /**
     * 确认采购清单
     * @param musicGroupId
     * @return
     */
    List<Goods> verifyMusicalList(String musicGroupId);

    /**
     * 查询订单商品
     * @param orderId
     * @return
     */
    List<Goods> findApplyOrderGoods(Long orderId);

}