package com.ym.mec.biz.service;

import java.util.Date;
import java.util.List;

import com.huifu.adapay.model.payment.PayChannelEnum;
import com.ym.mec.biz.dal.entity.Goods;
import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import com.ym.mec.biz.dal.enums.DealStatusEnum;
import com.ym.mec.biz.dal.enums.OrderDetailTypeEnum;
import com.ym.mec.biz.dal.enums.PaymentChannelTypeEnum;
import com.ym.mec.common.service.BaseService;
import org.apache.ibatis.annotations.Param;

public interface StudentPaymentOrderService extends BaseService<Long, StudentPaymentOrder> {

	/**
	 * 查询商品列表
	 * @param musicGroupId
	 * @param type
	 * @return
	 */
	List<Goods> queryApplyGoodsList(String musicGroupId, OrderDetailTypeEnum type);

	/**
	 * 查询报名缴费订单
	 * @param musicGroupId
	 * @param status
	 * @return
	 */
	StudentPaymentOrder findMusicGroupApplyOrderByStatus(Integer userId,String musicGroupId, DealStatusEnum status);


	/**
	 * 根据orderNo查询订单
	 * @param orderNo
	 * @return
	 */
	StudentPaymentOrder findOrderByOrderNo(String orderNo);


	/**
	 * 查找支付成功和支付中订单
	 * @return
	 */
	int findPayOrderNum();

	/**
	 * 查询支付中订单
	 *
	 * @param status
	 * @return
	 */
	List<StudentPaymentOrder> findOrdersByStatus(DealStatusEnum status, String paymentChannel);


	/**
	 * 查询支付中超时的订单
	 * @param orderNoList
	 * @param status
	 * @param beforeTime
	 * @return
	 */
	List<StudentPaymentOrder> findOrdersOverTime(List<String> orderNoList, DealStatusEnum status, Date beforeTime);

	void queryOrderStatus() throws Exception;

}