package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.SysConfig;
import com.ym.mec.common.service.BaseService;

public interface SysConfigService extends BaseService<Long, SysConfig> {

	/**
	 * 缴费状态提前{}天刷新
	 */
	public static final String REFRESH_PAYMENT_STATUS_EARLY_DAYS = "refresh_payment_status_early_days";

	/**
	 * VIP课结束后，用户可申诉时间，为课程结束后的{}天
	 */
	public static final String VIP_APPEAL_DAYS_RANGE = "vip_appeal_days_range";

	/**
	 * VIP课的结算周期，为课程完成后{}天
	 */
	public static final String VIP_SETTLEMENT_CYCLE = "vip_settlement_cycle";

	/**
	 * 课酬结算周期，为每个月的{}日
	 */
	public static final String COURSES_SETTLEMENT_CYCLE = "courses_settlement_cycle";

	/**
	 * 老师正常打卡时间，为课程当天，距离开课时间前{}分钟
	 */
	public static final String ADVANCE_SIGN_IN_MINUTES = "advance_sign_in_minutes";

	/**
	 * 乐团课，签退时间，为课程结束后开始，至结束后的{}小时
	 */
	public static final String SIGN_OUT_DELAY_HOURS = "sign_out_delay_hours";

	/**
	 * 老师可以打卡范围，为教学定位方圆{}米
	 */
	public static final String ATTENDANCE_RANGE = "attendance_range";

	/**
	 * 学生VIP课，允许请假的时间，为开课前{}小时
	 */
	public static final String ADVANCE_LEAVE_HOURS = "advance_leave_hours";

	/**
	 * 移动端「课程调整」调整的课程时间，为开课前{}天
	 */
	public static final String ADVANCE_UPDATE_COURSES_DAYS = "advance_update_courses_days";

	/**
	 * 密码重置后的默认密码为{}
	 */
	public static final String DEFAULT_PASSWORD = "default_password";

	/**
	 * 单技课梯度结算规则设置
	 */
	public static final String SIGLE_GRADIENT_SETTLEMENT_RULE = "sigle_gradient_settlement_rule";

	/**
	 * 合奏课梯度结算规则设置
	 */
	public static final String MAX_GRADIENT_SETTLEMENT_RULE = "max_gradient_settlement_rule";

	/**
	 * 小班课梯度结算规则设置
	 */
	public static final String HIGH_GRADIENT_SETTLEMENT_RULE = "high_gradient_settlement_rule";

	/**
	 * 如果没有签退，{}分钟后自动发送推送信息
	 */
	public static final String SIGN_OUT_MESSAGE_PUSH_MINUTE = "sign_out_message_push_minute";

	/**
	 * 教师课酬结算单位时长
	 */
	String TEACHER_SALARY_TIME_UNIT="teacher_salary_time_unit";

	/**
	 * 试听课默认单节课时长
	 */
	String DEMO_GROUP_SINGLE_CLASS_MINUTES_="demo_group_single_class_minutes_";
	String USER_DEFAULT_HEAD_URL = "user_default_head_url";
	String STUDENT_APPLY_URL = "student_apply_url";
	String STUDENT_APPLY_PAYMENT_DETAIL_URL = "student_apply_payment_detail_url";
	String SERVER_PHONE = "server_phone";

	/** 乐团课90分钟课酬计算时的收费类型 */
	String MUSIC_GROUP_CHARGE_TYPE_90_="music_group_charge_type_90_";

	String MUSIC_GROUP_SETTLEMENT_CLASS_MINUTES="music_group_settlement_class_minutes";

	String MUSIC_GROUP_SETTLEMENT_SINGLE_CLASS_MINUTES="music_group_settlement_single_class_minutes";

	String REFUND_PERIOD = "refund_period";

	/**
	 * @params paramName
	 * @return com.ym.mec.biz.dal.entity.SysConfig
	 * @describe 根据配置名称获取配置信息
	 */
	SysConfig findByParamName(String paramName);
}
