package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.SchoolDao;
import com.ym.mec.biz.dal.entity.School;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.biz.service.SchoolService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

import java.util.List;

@Service
public class SchoolServiceImpl extends BaseServiceImpl<Integer, School>  implements SchoolService {
	
	@Autowired
	private SchoolDao schoolDao;

	@Override
	public BaseDAO<Integer, School> getDAO() {
		return schoolDao;
	}

	@Override
	public List<School> queryByOrganId(Integer organId) {
		return schoolDao.queryByOrganId(organId);
	}

	@Override
	public List<School> findVipSchoolByTeacher(Integer teacherId,Integer isDefault) {
		return schoolDao.findVipSchoolByUserId(teacherId,isDefault);
	}
}
