package com.ym.mec.biz.service.impl;

import com.ym.mec.biz.dal.dao.TeacherDefaultMusicGroupSalaryDao;
import com.ym.mec.biz.dal.entity.TeacherDefaultMusicGroupSalary;
import com.ym.mec.biz.dal.enums.SalarySettlementTypeEnum;
import com.ym.mec.biz.service.TeacherDefaultMusicGroupSalaryService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TeacherDefaultMusicGroupSalaryServiceImpl extends BaseServiceImpl<Long, TeacherDefaultMusicGroupSalary>  implements TeacherDefaultMusicGroupSalaryService {
	
	@Autowired
	private TeacherDefaultMusicGroupSalaryDao teacherDefaultMusicGroupSalaryDao;

	@Override
	public BaseDAO<Long, TeacherDefaultMusicGroupSalary> getDAO() {
		return teacherDefaultMusicGroupSalaryDao;
	}

	@Override
    public List<TeacherDefaultMusicGroupSalary> getTeacherSalaryByUserIdAndType(int userId, String classGroupType, SalarySettlementTypeEnum settlementType) {
        return teacherDefaultMusicGroupSalaryDao.getTeacherSalaryByUserIdAndType(userId, classGroupType,settlementType);
    }

	@Override
	public void batchUpset(List<TeacherDefaultMusicGroupSalary> salaries) {
		if(salaries != null && salaries.size() > 0){
			//删除当前教师所有的结算类型的数据
			TeacherDefaultMusicGroupSalary salary = salaries.get(0);
			teacherDefaultMusicGroupSalaryDao.delByTeacherId(salary.getUserId());
			//批量新增
			teacherDefaultMusicGroupSalaryDao.batchAdd(salaries);
			/*Date date = new Date();
			teacherDefaultMusicGroupSalaries.forEach(e->{
				if(e.getId() == null){
					teacherDefaultMusicGroupSalaryDao.insert(e);
				}else{
					if(e.getDelFlag() == YesOrNoEnum.YES){
						teacherDefaultMusicGroupSalaryDao.delete(e.getId());
					}else {
						e.setUpdateTime(date);
						teacherDefaultMusicGroupSalaryDao.update(e);
					}
				}
			});*/
		}
	}
}