package com.ym.mec.biz.service.impl;

import com.ym.mec.biz.dal.dao.TeacherDefaultVipGroupSalaryDao;
import com.ym.mec.biz.dal.entity.TeacherDefaultVipGroupSalary;
import com.ym.mec.biz.service.TeacherDefaultVipGroupSalaryService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class TeacherDefaultVipGroupSalaryServiceImpl extends BaseServiceImpl<Long, TeacherDefaultVipGroupSalary>  implements TeacherDefaultVipGroupSalaryService {
	
	@Autowired
	private TeacherDefaultVipGroupSalaryDao teacherDefaultVipGroupSalaryDao;

	@Override
	public BaseDAO<Long, TeacherDefaultVipGroupSalary> getDAO() {
		return teacherDefaultVipGroupSalaryDao;
	}

	@Override
	public TeacherDefaultVipGroupSalary findByTeacherAndCategory(Integer userId, Long categoryId) {
		return teacherDefaultVipGroupSalaryDao.findByTeacherAndCategory(userId,categoryId);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public void upSet(List<TeacherDefaultVipGroupSalary> teacherDefaultVipGroupSalaries) {
		if(teacherDefaultVipGroupSalaries != null && teacherDefaultVipGroupSalaries.size() > 0){
			//根据教师编号删除
			TeacherDefaultVipGroupSalary salary = teacherDefaultVipGroupSalaries.get(0);
			teacherDefaultVipGroupSalaryDao.delByTeacherId(salary.getUserId());
			//新增
			teacherDefaultVipGroupSalaryDao.batchAdd(teacherDefaultVipGroupSalaries);
		}
	}
}