package com.ym.mec.task;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import com.ym.mec.common.config.FeignConfiguration;
import com.ym.mec.task.fallback.TaskRemoteServiceFallback;

@FeignClient(name = "web-server", configuration = { FeignConfiguration.class }, fallback = TaskRemoteServiceFallback.class)
public interface TaskRemoteService {

	@GetMapping(value = "task/refreshPaymentFeeStatus")
	// 刷新付费状态
	public void refreshPaymentFeeStatus();

	@GetMapping(value = "task/vipGroupAwardedMonthlyRewards")
	// vip课月度奖励
	public void vipGroupAwardedMonthlyRewards();

	@GetMapping(value = "task/updateCourseScheduleToOverStatus")
	// 更新课程状态至已结束
	void updateCourseScheduleToOverStatus();

	@GetMapping("task/pushNoSignOutMessage")
	// 推送未签退消息提醒
	public void pushNoSignOutMessage();

	@GetMapping("task/vipGroupTeacherSalarySettlement")
	// vip课课酬结算
	public void vipGroupTeacherSalarySettlement();

	@GetMapping("task/studentCoursesScheduleRemind")
	// 学生有课提醒
	public void studentCoursesScheduleRemind();

	@GetMapping("task/studentSignInRemind")
	// 学生上课提醒
	public void studentSignInRemind();

	@GetMapping("task/studentHomeworkRemind")
	// 学生作业提醒
	public void studentHomeworkRemind();

	@GetMapping("task/teacherCoursesScheduleRemind")
	// 老师有课提醒
	public void teacherCoursesScheduleRemind();

	@GetMapping("task/teacherSignInRemind")
	// 老师上课提醒
	public void teacherSignInRemind();

	@GetMapping("task/homeworkNoReplyRemind")
	// 老师未回复作业提醒
	public void homeworkNoReplyRemind();

	@GetMapping("task/queryOrderStatus")
	// 订单状态查询
	public void queryOrderStatus();
}
