package com.ym.mec.teacher.controller;

import com.ym.mec.auth.api.client.SysUserFeignService;
import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.School;
import com.ym.mec.biz.service.SchoolService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/11/4
 */

@RequestMapping("school")
@Api(tags = "教师教学点服务")
@RestController
public class TeacherSchoolController extends BaseController {

    @Autowired
    private SchoolService schoolService;
    @Autowired
    private SysUserFeignService sysUserFeignService;

    @ApiOperation(value = "新增学校")
    @PostMapping("/add")
    public Object add(School school){
        SysUser sysUser = sysUserFeignService.queryUserInfo();
        if(sysUser == null){
            return failed(HttpStatus.FORBIDDEN,"请登录");
        }
        school.setUserId(sysUser.getId());
        schoolService.insert(school);
        return succeed();
    }

    @ApiOperation(value = "删除学校")
    @PostMapping("/del")
    public Object del(@ApiParam(value = "学校编号", required = true) Integer id){
        schoolService.delete(id);
        return succeed();
    }

    @ApiOperation(value = "修改学校")
    @PostMapping("/update")
    public Object update(School school){
        school.setUpdateTime(new Date());
        schoolService.update(school);
        return succeed();
    }

    @ApiOperation(value = "获取教师vip课教学点")
    @GetMapping("/findVipSchoolByTeacher")
    public Object findVipSchoolByTeacher(Integer isDefault){
        SysUser sysUser = sysUserFeignService.queryUserInfo();
        if(sysUser == null){
            return failed(HttpStatus.FORBIDDEN,"请登录");
        }
        return succeed(schoolService.findVipSchoolByTeacher(sysUser.getId(),isDefault));
    }
}
