package com.ym.mec.web.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ym.mec.biz.dal.page.StudentApplyrefundsQueryInfo;
import com.ym.mec.biz.service.StudentApplyRefundsService;
import com.ym.mec.common.controller.BaseController;

@RequestMapping("studentRefunds")
@Api(tags = "退费服务")
@RestController
public class StudentApplyRefundsController extends BaseController {
	
	@Autowired
	private StudentApplyRefundsService studentApplyRefundsService;

	@ApiOperation(value = "查询退费列表")
    @GetMapping("/queryPage")
    @PreAuthorize("@pcs.hasPermissions('studentRefunds/queryPage')")
    public Object queryPage(StudentApplyrefundsQueryInfo queryInfo){
		
        return succeed(studentApplyRefundsService.queryPage(queryInfo));
    }
}
