package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.entity.TeacherDefaultVipGroupSalary;
import com.ym.mec.biz.service.TeacherDefaultVipGroupSalaryService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/10/9
 */
@Api(tags = "老师默认VIP课薪酬")
@RequestMapping("teacherDefaultVipGroupSalary")
@RestController
public class TeacherDefaultVipGroupSalaryController extends BaseController {

    @Autowired
    private TeacherDefaultVipGroupSalaryService teacherDefaultVipGroupSalaryService;

    @ApiOperation(value = "根据老师编号及课程类型编号获取默认课酬")
    @GetMapping("/findByTeacherAndCategory")
    @PreAuthorize("@pcs.hasPermissions('teacherDefaultVipGroupSalary/findByTeacherAndCategory')")
    public Object findByTeacherAndCategory(Integer userId, Long categoryId){
        return succeed(teacherDefaultVipGroupSalaryService.findByTeacherAndCategory(userId,categoryId));
    }

    @ApiOperation(value = "获取教师的vip课酬列表")
    @GetMapping("/queryPageByTeacherId")
    @PreAuthorize("@pcs.hasPermissions('teacherDefaultVipGroupSalary/queryPageByTeacherId')")
    public Object queryPageByTeacherId(QueryInfo queryInfo){
        return succeed(teacherDefaultVipGroupSalaryService.queryPage(queryInfo));
    }

    @ApiOperation(value = "批量新增、修改教师vip课酬")
    @PostMapping("/upSet")
    @PreAuthorize("@pcs.hasPermissions('teacherDefaultVipGroupSalary/upSet')")
    public Object setVipGroupSalary(@RequestBody List<TeacherDefaultVipGroupSalary> teacherDefaultVipGroupSalaries){
        teacherDefaultVipGroupSalaryService.upSet(teacherDefaultVipGroupSalaries);
        return succeed();
    }

}
